Skip to main content
Contract / Billing

Get billing/invoice line items for a Contract

This method requires the ContractBilling:Get permission to be associated with your role.

GET
/fm/contract/billings
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringquery

Optional Contract Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
client_idstringquery

Optional Client Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
invoice_nostringquery

Optional Invoice No

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
batch_nostringquery

Optional Batch No

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
invoice_start_datestringquery

Optional Invoice Start Date

Example: YYYY-MM-DD
invoice_end_datestringquery

Optional Invoice End Date

Example: YYYY-MM-DD
invoice_typeenum<string>query

Optional Invoice Type

Available options: initial, periodic-lease, periodic-fmfee, recharge, recharge-fuel, recharge-reg, combined, booking, sale, pay-run
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1